ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.RenderGroup = RENDERGROUP_OPAQUE
ENT.Spawnable = true
ENT.AdminSpawnable = false
ENT.PrintName = "Melter"
ENT.Author = "ClemensProduction aka Zerochain"
ENT.Information = "info"
ENT.Category = "Zeros RetroMiningSystem"
ENT.Model = "models/zerochain/props_mining/zrms_melter.mdl"
ENT.AutomaticFrameAdvance = true
ENT.DisableDuplicator = false

function ENT:SetupDataTables()
	self:NetworkVar("Float", 0, "ResourceAmount")
	self:NetworkVar("Float", 1, "CoalAmount")
	self:NetworkVar("String", 0, "CurrentState")
	self:NetworkVar("String", 1, "ResourceType")
	self:NetworkVar("Bool", 0, "IsLowered")

	if (SERVER) then
		self:SetResourceAmount(0)
		self:SetCoalAmount(0)
		self:SetCurrentState("WAITING_FOR_ORDER")
		self:SetResourceType("Empty")
		self:SetIsLowered(false)
	end
end
